/*******************************************************************************
 * Copyright (c) 2004-2010 Gabor Bergmann and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Gabor Bergmann - initial API and implementation
 *******************************************************************************/

package hu.bme.mit.ftsrg.szilvas.model;

import java.util.HashSet;
import java.util.Set;

/**
 * @author Bergmann Gábor
 *
 */
public abstract class Bennfoglalo {
	private Set<Object> tartalom;

	public boolean berak(Object o) {
		return this.tartalom.add(o);
	}
	public boolean kivesz(Object o) {
		return this.tartalom.remove(o);
	}	
	
	public Bennfoglalo() {
		super();
		this.tartalom = new HashSet<Object>();
	}

	public Bennfoglalo(Set<Object> tartalom) {
		super();
		this.tartalom = tartalom;
	}

	public Set<Object> getTartalom() {
		return tartalom;
	}

	public void setTartalom(Set<Object> tartalom) {
		this.tartalom = tartalom;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return super.toString() + " {" + tartalom.toString() + "}";
	}

}
